%define name GWhere
%define version 0.0.26
%define release a

Name: %{name}
Summary: Removable media catalog managment
Summary(fr): Gestionnaire de catalogues de media amovibles
Summary(de): Katalog-Verwaltung fr Wechselmedien
Summary(ar): Administracin de catlogos de medios removibles
Summary(pt): Gestor de catlogos de media removivel
Summary(pl): Innych mediw katalog zarzdzanie
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.bz2
Group: Utilities/System
URL: http://www.gwhere.org
BuildRoot: /var/tmp/%{name}-buildroot
Copyright: GPL
Prefix: /usr
Requires: gtk zlib
#Icon: GWhere.xpm


%description

GWhere allows to manage a database of yours CDs and others removable media
(hard disks, floppy drive, Zip drive, CD-ROM, etc...). With GWhere it's easy
to browse yours CDs or to make quick search without need to insert yours CDs
in the drive at each once.

%description -l fr

GWhere permet de grer une base de donnes de vos CD et autres media amovibles
(disques durs, disquettes, disquettes Zip, CD-ROM, etc...). Avec GWhere il est facile
de parcourir vos CDs ou de faire une recherche rapide sans avoir besoin d'insrer vos CDs
dans le lecteur  chaque fois.

%description -l de

GWhere erlaubt die Verwaltung einer Datenbank Ihrer CDs und anderer Wechselmedien
(Festplatten, Floppies, Zip-Disketten, CD-ROM usw. ...). Mit GWhere ist es sehr
einfach, Ihre CDs zu durchsuchen oder eine Schnellsuche durchzufhren ohne jedesmal
die CD ins Laufwerk zu stecken.

%description -l ar

GWhere permite administrar una base de datos de tus CDs y otros medios removibles
(disco duros, diskettes, discos Zip, CD-ROMs, etc...). Con GWhere es fcil
navegar tus CDs o realizar bsquedas sin la necesidad de insertar los CDs en la
lectora de a uno por vez.

%description -l pt

O GWhere permite gerir uma base de dados dos seus CDs ou outros tipos de
media removvel (discos rgidos, disquetes, drives ZIP, CD-ROM, etc...).
Com o GWhere  fcil explorar os seus CDs ou fazer rpidas pesquisas sem a
necessidade de inserir cada um dos seus CDs na drive.

%description -l pl

GWHere to program zarzdzajcy baz Twoich pyt CD oraz innych mediw
(takich jak twarde dyski, dyskietki, dyski Zip itp.). Dziki GWhere w atwy
sposb moesz przeglda Twoje pyty CD i szybko znale potrzebny Ci plik bez
koniecznoci cigego wsadzania pyt do napdu.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
--prefix=%{prefix}
make
#-j 2

%install
make install prefix=$RPM_BUILD_ROOT/%{prefix}

cd $RPM_BUILD_ROOT

find . -type d | sed -e '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
$RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
-e '/\/etc\//s|^|%config|' \
-e '/\/config\//s|^|%config|' \
>> $RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed -e 's,^\.,\%attr(-\,root\,root) ,' >> \
$RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}
%defattr(-,root,root,0755)

%changelog
* Tue Sep 17 2002 : Sbastien LECACHEUR <zero@gwhere.org>
- GWhere-0.0.26 : config file, send mail
* Fri Jul 05 2002 : Sbastien LECACHEUR <zero@gwhere.org>
- GWhere-0.0.25 : zlib support, experimental port on Cygwin
* Fri Mar 22 2002 : Sbastien LECACHEUR <zero@gwhere.org>
- GWhere-0.0.24 : nouvelles fonctionnalits
* Thu Jan 23 2002 : Sbastien LECACHEUR <zero@gwhere.org>
- GWhere-0.0.23 : nouvelles fonctionnalits
* Sun Jan 6 2002 : Sbastien LECACHEUR <zero@gwhere.org>
- GWhere-0.0.22 : corrections de bugs
* Fri Oct 26 2001 : Sbastien LECACHEUR <zero@gwhere.org>
- GWhere-0.0.21 : corrections de bugs
* Wed Oct 03 2001 : Sbastien LECACHEUR <zero@gwhere.org>
- GWhere-0.0.20 : corrections de bugs et amlioration de divers composants.
* Thu Sep 27 2001 : Sbastien LECACHEUR <zero@gwhere.org>
- GWhere-0.0.19 : corrections de bugs et traduction.
* Fri Aug 17 2001 : Sbastien LECACHEUR <zero@gwhere.org>
- GWhere-0.0.18 : correction de bugs et amlioration de divers composants.
* Sun Aug 05 2001 : Sbastien LECACHEUR <zero@gwhere.org>
- GWhere-0.0.17 : moteur de recherche intgr. Stabilisation de la version.
* Fri Oct 13 2000 : Sbastien LECACHEUR <gwhere@marms.com>
- GWhere-0.0.16 : version  plus stable et utilisable
* Sun Sep 10 2000 : Sbastien LECACHEUR <gwhere@marms.com>
- GWhere-0.0.15 : ajoute/suppression, beaucoup de bugs corrigs
* Sat Aug 26 2000 : Sbastien LECACHEUR <gwhere@marms.com>
- GWhere-0.0.14 : implmentation du supermount
* Thu Aug 24 2000 : Sbastien LECACHEUR <gwhere@marms.com>
- GWhere-0.0.13 : toujours en version alpha!!
* Fri May 05 2000 : Sbastien LECACHEUR <gwhere@marms.com>
- GWhere-0.0.12 : cette version peut encore voluer
